Redmine - Defect #5778

Defect in the filters (custom field) from the list of issue
2010-06-29 15:56 - Jose Luis Mufioz Suarez

Status: Closed Start date: 2010-06-28
Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 0%
Category: Custom fields Estimated time: 0.00 hour
Target version:

Resolution: Fixed Affected version: 0.9.4
Description

When you add a numeric custom field as a filter on issues list the "select" of possible operators is not correct because it assumes
that the filter is a string.

Related issues:

Related to Redmine - Feature #3488: Is it possible to set the Custom Field of... New 2009-06-12
Related to Redmine - Feature #1139: Being able to sort the issue list by cust... Closed 2008-04-29
Related to Redmine - Defect #5726: Cannot sort issues on custom fields Closed 2010-06-22
Related to Redmine - Defect #2755: Failing test after r2257 with MySQL 4.1.20... Closed 2009-02-15
History

#1 - 2010-06-30 19:54 - Jean-Baptiste Barth
- Category set to Custom fields
- Status changed from New to 7

- Assignee set to Jean-Baptiste Barth

Confirmed, thank you for reporting.
I'll work on a patch with some tests.

#2 - 2010-07-03 00:01 - Yuki Kita
- File custom_field_filter.patch added

Here is the patch.
This issue seems to be the duplicate of #5726.
So the patch also fixes #5726.

#3 - 2010-07-03 19:10 - Jean-Baptiste Barth

Haha, | had the same patch, exactly :) | was trying to write some tests because this part is not very well tested | think. Maybe later, thanks Yuki.

#4 - 2011-01-26 12:04 - Siegfried Vogel

I'm having the same problem with filtering issues by a "list" custom field.
| get an "internal error" after applying the filter.

The patch failed to install, so | did edit the both files manually.

After the patch, | still had the same problem.

Is there a newer patch or solution for my environment:
(Redmine V.1.1.0, MySQL 5.1, Ubuntu)

#5 - 2011-01-26 16:00 - Siegfried Vogel

After some searching, | found the culprit in my case: The Question Plugin, V.0.3.0.
See this Issue: #4788

The patch provided there did the trick for me in Redmine V.1.1.0, MySQL 5.1.x

#6 - 2011-11-11 14:34 - Jean-Philippe Lang
- Status changed from 7 to Closed

- Resolution set to Fixed
https://www.redmine.org/issues/5726
https://www.redmine.org/issues/5726
https://www.redmine.org/issues/4788

Fixed a few months ago in 16228 and r6256.

Files

custom_field_filter.patch 2.46 KB 2010-07-02 Yuki Kita
https://www.redmine.org/projects/redmine/repository/svn/revisions/6228
https://www.redmine.org/projects/redmine/repository/svn/revisions/6256
http://www.tcpdf.org

